package com.ggj_linlithgow.gdx.core.model;


public enum UnitType {

	INFANTRY("Infantry"), 
	CAVALRY("Cavalry"),
	ARCHER("Archer");
	
	private String name;
	
	private UnitType(String name) {
		this.name = name;
	}
	
	public String getName() {
		return name;
	}
	
	public double determineBattleScore(UnitType enemyType) {
		
		return BattleScores.score(this, enemyType);
	}
}
